Bug 201175 - Do not clear the pending api request when there's no navigation ID
Summary: Do not clear the pending api request when there's no navigation ID
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks: 201176
  Show dependency treegraph
 
Reported: 2019-08-27 01:25 PDT by Carlos Garcia Campos
Modified: 2019-09-13 03:33 PDT (History)
5 users (show)

See Also:


Attachments
Patch (1.82 KB, patch)
2019-08-27 01:26 PDT, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2019-08-27 01:25:12 PDT
I've noticed that after r247851, the pending API request URL is cleared for subresources in some cases.
Comment 1 Carlos Garcia Campos 2019-08-27 01:26:57 PDT
Created attachment 377327 [details]
Patch
Comment 2 WebKit Commit Bot 2019-08-27 09:08:54 PDT
Comment on attachment 377327 [details]
Patch

Clearing flags on attachment: 377327

Committed r249142: <https://trac.webkit.org/changeset/249142>
Comment 3 WebKit Commit Bot 2019-08-27 09:08:56 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Radar WebKit Bug Importer 2019-08-27 09:09:22 PDT
<rdar://problem/54749832>
Comment 5 Michael Catanzaro 2019-09-11 15:38:43 PDT
This caused bug #201544.

(In reply to Carlos Garcia Campos from comment #0)
> I've noticed that after r247851, the pending API request URL is cleared for
> subresources in some cases.

What did that break?
Comment 6 Carlos Garcia Campos 2019-09-13 03:33:20 PDT
(In reply to Michael Catanzaro from comment #5)
> This caused bug #201544.
> 
> (In reply to Carlos Garcia Campos from comment #0)
> > I've noticed that after r247851, the pending API request URL is cleared for
> > subresources in some cases.
> 
> What did that break?

See bug #200341. The thing is that when a new page starts while the previous one didn't finish, the active URL changes after webkit_kit_web_view_load_uri() and before load-failed because the pending API request URL is reset by a subresoure load of the still ongoing load. So, what happens is that load-failed reports the failing URI correctly, but the active URL is also the failing one, but it should be the new one after webkit_kit_web_view_load_uri(). I'm writing a unit test.